# nng_log_set_level(3) Manual Page

## NAME

nng_log_set_level - set minimum level for logging messagse

## SYNOPSIS

    #include <nng/nng.h>

    typedef enum nng_log_level {
    	NNG_LOG_NONE   = 0, // used for filters only, NNG suppresses these
    	NNG_LOG_ERR    = 3,
    	NNG_LOG_WARN   = 4,
    	NNG_LOG_NOTICE = 5,
    	NNG_LOG_INFO   = 6,
    	NNG_LOG_DEBUG  = 7
    } nng_log_level;

    void nng_log_set_level(nng_log_level level);

## DESCRIPTION

The `nng_log_set_level` function is used to set the minimum severity to level for processing log messages. Any messages with a less severe rating are not processed and simply are discarded. Use `NNG_LOG_NONE` to suppress all log messages. Use `NNG_LOG_DEBUG` to receive all log messages.

## SEE ALSO

nng_log_set_level(3) nng_log_set_facility(3)